Bug 1936844 - 4.7 Backport - CAPBM changes to support flexible reboot modes
Summary: 4.7 Backport - CAPBM changes to support flexible reboot modes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.7
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.7.z
Assignee: Rhys Oxenham
QA Contact: Shelly Miron
URL:
Whiteboard:
Depends On: 1937122
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-09 10:55 UTC by Rhys Oxenham
Modified: 2021-04-12 23:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Adds capabilities to the CAPBM to request a hard power off upon remediation, leveraging the recent changes to the baremetal-operator to support new reboot modes. Reason: The baremetal-operator recently got extended to support flexible reboot modes, either hard or soft. The default mode is a soft reboot, but for remediation purposes we want this to be hard to recover workloads as quickly as possible. Result: CAPBM requests hard reboot when remediation is required, bypassing the default soft power-off that the baremetal-operator issues.
Clone Of:
Environment:
Last Closed: 2021-04-12 23:22:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift baremetal-operator pull 128 0 None closed Bug 1927678: Backporting BMO extensions to support different reboot modes 2021-03-09 10:55:23 UTC
Github openshift baremetal-operator pull 130 0 None open Bug 1936407: Backport of BMO code to 4.7 to support different reboot modes 2021-03-09 10:55:23 UTC
Github openshift cluster-api-provider-baremetal pull 138 0 None closed Changing the default behaviour of the CAPBM to request hard reboot 2021-03-09 10:55:23 UTC
Github openshift cluster-api-provider-baremetal pull 144 0 None open [release-4.7] Changing the default behaviour of the CAPBM to request hard reboot 2021-03-09 10:55:23 UTC
Red Hat Bugzilla 1927678 1 high VERIFIED Reboot interface defaults to softPowerOff so fencing is too slow 2021-03-15 09:57:15 UTC
Red Hat Bugzilla 1936407 1 high CLOSED 4.7 Backport - Reboot interface defaults to softPowerOff so fencing is too slow 2021-04-12 23:23:10 UTC
Red Hat Product Errata RHBA-2021:1075 0 None None None 2021-04-12 23:23:10 UTC

Description Rhys Oxenham 2021-03-09 10:55:23 UTC
Description of problem:

This is a Bugzilla entry to track the 4.7 backport of the CAPBM changes to support the new BMO code that allows a hard reboot to be requested by clients. In this case, for remediation purposes we want the CAPBM to set the mode=hard annotation; this code was recently merged in 4.8.

This work is split into two components-

1) The BMO changes to support the reboot mode

2) The CAPBM changes to apply the hard reboot mode for remediation purposes

Additional info:

PR that pulled the BMO changes into 4.8
https://github.com/openshift/baremetal-operator/pull/128
https://bugzilla.redhat.com/show_bug.cgi?id=1927678

PR for backporting above BMO changes into 4.7
https://github.com/openshift/baremetal-operator/pull/130
https://bugzilla.redhat.com/show_bug.cgi?id=1936407

PR that pulled the CAPBM changes into 4.8
https://github.com/openshift/cluster-api-provider-baremetal/pull/138

PR for backporting above CAPBM changes into 4.7
https://github.com/openshift/cluster-api-provider-baremetal/pull/144

This Bugzilla will be marked as dependant on 1936407 (the BMO changes need to land before the CAPBM).

Comment 6 errata-xmlrpc 2021-04-12 23:22:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1075


Note You need to log in before you can comment on or make changes to this bug.